Bug 14414 - Warning при удалении пакета
: Warning при удалении пакета
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/tomcat5)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-13 13:50 by
Modified: 2008-03-13 12:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-13 13:50:19
[c0der@rock ~]$ sudo apt-get remove tomcat5 tomcat5-server-lib
tomcat5-common-lib tomcat5-jsp-2.0-api tomcat5-jasper 
Reading Package Lists... Done
Building Dependency Tree... Done
The following packages will be REMOVED:
  tomcat5 tomcat5-common-lib tomcat5-jasper tomcat5-jsp-2.0-api
  tomcat5-server-lib
0 upgraded, 0 newly installed, 5 removed and 376 not upgraded.
Need to get 0B of archives.
After unpacking 2858kB disk space will be freed.
Do you want to continue? [Y/n] y
Committing changes...
Preparing...                 ########################################### [100%]
Usage: tomcat5 {start|stop|restart|condrestart|status|version}
warning: /etc/tomcat5/tomcat-users.xml saved as
/etc/tomcat5/tomcat-users.xml.rpmsave
Done.

Предупреждение из-за того, что где-то то ли неверное название действия, то ли и
вовсе действие не указано. Неплохо было бы исправить это.
------- Comment #1 From 2008-02-13 14:05:48 -------
P.S. Ещё забавно, что после удаления томката у меня удалился каталог
/usr/share/tomcat5/webapps/ вместе со всем его содержимым, которое я туда
пометстил сам. Либо я не туда складывал свои файлы, либо это капец.

P.P.S. Ну и ещё мелочь: при старте/стопе вместо цветных ОК выводились
черно-белые, потому что init-скрипт не альтовский.
------- Comment #2 From 2008-02-21 13:16:04 -------
с инитом знаю, все руки не доходят.

с /usr/share/tomcat5/webapps/ -- в %pre они должны были переехать в 
/var/lib/tomcat5/webapps/
проверьте, пожалуйста.
думаю warning добавть.
------- Comment #3 From 2008-02-21 18:55:56 -------
>с /usr/share/tomcat5/webapps/ -- в %pre они должны были переехать в 
/var/lib/tomcat5/webapps/

Ага, сегодня сам случайно это обнаружил. Фиг догадаешься, нужно сообщение
сделать.
------- Comment #4 From 2008-03-08 21:37:05 -------
fixed in tomcat5-5.5.26-alt1.2_1jpp1.7